Module com.microsoft.sqlserver.jdbc
Package com.microsoft.sqlserver.jdbc.dataclassification

## Class ColumnSensitivity

- java.lang.Object
- - com.microsoft.sqlserver.jdbc.dataclassification.ColumnSensitivity

    public class ColumnSensitivity
    extends Object

Represents the Data Classification Sensitivity Information for columns as configured in Database.

### Constructor Summary

Constructors
`ColumnSensitivity​(List<SensitivityProperty> sensitivityProperties)` Constructs a ColumnSensitivity

### Method Summary

All Methods Instance Methods Concrete Methods
`List<SensitivityProperty>` `getSensitivityProperties()` Returns the list of sensitivity properties as received from Server for this `ColumnSensitivity` information

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ColumnSensitivity

    public ColumnSensitivity​(List<SensitivityProperty> sensitivityProperties)

Constructs a ColumnSensitivity

Parameters:
  `sensitivityProperties` - List of sensitivity properties as received from SQL Server

### Method Detail

#### getSensitivityProperties

    public List<SensitivityProperty> getSensitivityProperties()

Returns the list of sensitivity properties as received from Server for this `ColumnSensitivity` information

Returns:
  sensitivityProperties for this Class Object